Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print
Interface MultiDocPrintJob

All Superinterfaces:
  DocPrintJob

public interface MultiDocPrintJob
extends DocPrintJob

Obtained from a MultiDocPrintService, a MultiDocPrintJob can print a specified collection of documents as a single print job with a set of job attributes.

Method Summary
`void` | `print(MultiDoc multiDoc, PrintRequestAttributeSet attributes)` Print a MultiDoc with the specified job attributes.

Methods inherited from interface javax.print.DocPrintJob
`addPrintJobAttributeListener, addPrintJobListener, getAttributes, getPrintService, print, removePrintJobAttributeListener, removePrintJobListener`

Method Detail

### print

    public void print(MultiDoc multiDoc,
                      PrintRequestAttributeSet attributes)
               throws PrintException

  Print a MultiDoc with the specified job attributes. This method should only be called once for a given print job. Calling it again will not result in a new job being spooled to the printer. The service implementation will define policy for service interruption and recovery. Application clients which want to monitor the success or failure should register a PrintJobListener.

  Parameters:
    `multiDoc` - The documents to be printed. ALL must be a flavor supported by the PrintJob & PrintService.
    `attributes` - The job attributes to be applied to this print job. If this parameter is null then the default attributes are used.
  Throws:
    `PrintException` - The exception additionally may implement an interfaces which more precisely describes the cause of the exception
    - FlavorException. If the document has a flavor not supported by this print job.
    - AttributeException. If one or more of the attributes are not valid for this print job.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.